For the complete documentation index, see llms.txt. This page is also available as Markdown.

COD (contrassegni)

Elenco dei contrassegni incassati

Cod

Questo endpoint permette di ottenere l'elenco dei contrassegni incassati.

GET https://api.gsped.it/[ISTANZA]/Cod

Query parameters

Name
Type
Description

client_id*

int

ID del cliente (o del cliente fatturato)

days

int

Recupera contrassegni pagati negli ultimi X giorni (minimo 1, massimo 90, default 10)

Headers

Name
Type
Description

x-api-key*

string

API key fornita da Gsped

{
    "status": 200,
    "response": [
        {...},
        {...},
    ]
}
{
  "status": 400,
  "errors": [
    "client_id obbligatorio"
  ],
  "response": []
}
{
  "status": false,
  "error": "Invalid API key "
}

Snippets codice di esempio

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.gsped.it/sandbox/Cod?client_id=123",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_POSTFIELDS => "",
  CURLOPT_HTTPHEADER => [
    "x-api-key: YOUR-API-KEY"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Last updated

Was this helpful?